#
#       Makefile for grph1/append
#

ROOTDIR = ../../..

LIBOBJS	= kihon1.exe     kihon2.exe     kihon3.exe      kihon4.exe \
                  kihon5.exe
EPSFILES	= kihon1_0001.eps kihon2_0001.eps kihon2_0002.eps \
                  kihon3_0001.eps kihon3_0002.eps kihon4_0001.eps kihon5_0001.eps

!include $(ROOTDIR)\MkInclude.win

build: mkobj $(EPSFILES) rmobj
    $(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_POSTTARGET=build-exec

build-exec: mkobj $(EPSFILES) rmobj

install:
    $(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_PRETARGET=install-exec
install-exec-unique:

clean:
    $(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_PRETARGET=clean-exec
clean-exec-unique:

mkobj: $(LIBOBJS)

rmobj:
	$(RM) $(LIBOBJS)

kihon1_0001.eps:
	echo 2 | kihon1.exe -sw_ifl=2 -sw_fname=kihon1

kihon2_0001.eps:
	echo 2 | kihon2.exe -sw_ifl=2 -sw_fname=kihon2

kihon2_0002.eps: kihon2_0001.eps

kihon3_0001.eps:
	echo 2 | kihon3.exe -sw_ifl=2 -sw_fname=kihon3

kihon3_0002.eps: kihon3_0001.eps

kihon4_0001.eps:
	echo 2 | kihon4.exe -sw_ifl=2 -sw_fname=kihon4

kihon5_0001.eps:
	echo 2 | kihon5.exe -sw_ifl=2 -sw_fname=kihon5
